Name:           pulseview
Version:        0.2.0
Release:        2%{?dist}
Summary:        Signal acquisition and analysis GUI for sigrok
# Combined GPLv3+ (libsigrok and libsigrokdecode) and GPLv2+ (pulseview)
License:        GPLv3+
URL:            http://www.sigrok.org
Source0:        %{url}/download/source/%{name}/%{name}-%{version}.tar.gz
# Upstream does not (yet) provide a .desktop file
Source1:        %{name}.desktop

BuildRequires:  libsigrok-devel       >= 0.3.0
BuildRequires:  libsigrokdecode-devel >= 0.3.0
BuildRequires:  qt-devel
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
PulseView is an application for enabling data acquisition and analysis with
test and measurement devices such as logic analyzers, oscilloscopes,
mixed-signal devices, digital multimeters and sensors, etc. It uses sigrok
libraries under the hood.


%prep
%setup -q


%build
%cmake -DCMAKE_BUILD_TYPE=Release
make %{?_smp_mflags}

%install
%make_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

install -m 644 -D -p icons/sigrok-logo-notext.png \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/sigrok-logo-notext.png

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database > /dev/null 2>&1 || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/sigrok-logo-notext.png

%changelog
* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 0.2.0-2
- Rebuild for boost 1.57.0

* Sat Sep 20 2014 Dan Horák <dan[at]danny.cz> - 0.2.0-1
- Update to version 0.2.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 0.1.0-5
- Rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.1.0-3
- Rebuild for boost 1.54.0

* Mon May 06 2013 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.1.0-2
- Use {name} macro  instead of 'pulseview'
- Stop abusing wildcards in files section

* Wed Oct 10 2012 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.1.0-1
- Initial RPM release
